import argparse
import csv


def main():
    parser = argparse.ArgumentParser(description='Reverses the front and back of cards in an Anki deck.')
    parser.add_argument('deck_file', help='The file which contains the deck to reverse.')
    parser.add_argument('reversed_file', help='The file to output the reversed deck.')
    parser.add_argument('--delimiter', default='\t', help='The delimiter to use. Default is tab.')

    args = parser.parse_args()

    new_deck = []

    with open(args.deck_file, 'r') as f:
        csv_reader = csv.reader(f, delimiter=args.delimiter)

        for row in csv_reader:
            new_deck.append([row[1], row[0], row[2]])

    with open(args.reversed_file, 'w') as f:
        csv_writer = csv.writer(f, delimiter=args.delimiter)

        for row in new_deck:
            csv_writer.writerow(row)


if __name__ == '__main__':
    main()
